export declare class PnmediaBlock {
    blockHeight: string;
    imageSrc?: string;
    imageSrcSmallScreenFormat?: string;
    imageAltText?: string;
    videoSrc?: string;
    parallaxScroll: boolean;
    showOverlayLayer: boolean;
    customOverlayBackground?: string;
    animateOverlayBackground: boolean;
    scrollSnapBlock: boolean;
    fixedBackground: boolean;
    blockHeading?: string;
    blockHeadingLevel?: string;
    blockPreamble?: string;
    marginBottom?: boolean;
    pnPlayOnScrollObserverOptions: IntersectionObserverInit;
    calculatedBlockHeight: number;
    hasButtonSlot: boolean;
    block: HTMLElement;
    get hasVideo(): boolean;
    get hasImage(): boolean;
    private observerScroll;
    private observerSnap;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    disconnectedCallback(): void;
    handleScroll: () => void;
    render(): any;
}
